diff mbox

[U-Boot,1/2] MAKEALL: run genboardscfg.py all the time

Message ID 1408685621-12867-2-git-send-email-yamada.m@jp.panasonic.com
State Accepted
Delegated to: Tom Rini
Headers show

Commit Message

Masahiro Yamada Aug. 22, 2014, 5:33 a.m. UTC
This commit makes sure boards.cfg is up to date before starting
the build tests.  tools/genboardscfg.py exits immediately printing
"boards.cfg is up to date. Nothing to do." when boards.cfg is
already new.

Signed-off-by: Masahiro Yamada <yamada.m@jp.panasonic.com>
---

 MAKEALL | 11 ++++-------
 1 file changed, 4 insertions(+), 7 deletions(-)

Comments

Tom Rini Aug. 29, 2014, 2:40 p.m. UTC | #1
On Fri, Aug 22, 2014 at 02:33:40PM +0900, Masahiro Yamada wrote:

> This commit makes sure boards.cfg is up to date before starting
> the build tests.  tools/genboardscfg.py exits immediately printing
> "boards.cfg is up to date. Nothing to do." when boards.cfg is
> already new.
> 
> Signed-off-by: Masahiro Yamada <yamada.m@jp.panasonic.com>

Applied to u-boot/master, thanks!
diff mbox

Patch

diff --git a/MAKEALL b/MAKEALL
index 2e826c1..4822054 100755
--- a/MAKEALL
+++ b/MAKEALL
@@ -171,13 +171,10 @@  GNU_MAKE=$(scripts/show-gnu-make) || {
 # echo "Remaining arguments:"
 # for arg do echo '--> '"\`$arg'" ; done
 
-if [ ! -r boards.cfg ]; then
-	echo "Could not find boards.cfg"
-	tools/genboardscfg.py || {
-		echo "Failed to generate boards.cfg" >&2
-		exit 1
-	}
-fi
+tools/genboardscfg.py || {
+	echo "Failed to generate boards.cfg" >&2
+	exit 1
+}
 
 FILTER="\$1 !~ /^#/"
 [ "$opt_a" ] && FILTER="${FILTER} && $opt_a"